#!/bin/bash

## Script which takes the line count of the git log and sets it as the CFBundleVersion number in the target's Info.plist

PLIST="$1"
if [ "$PLIST" == "" ]; then
    PLIST="${TARGET_BUILD_DIR}/${INFOPLIST_PATH}"
fi

VERSION=`git log --oneline | wc -l`
COMMIT=`git rev-parse HEAD`

# update the plist in the built app
/usr/libexec/PlistBuddy -c "Add :VersionCommit string commit" "$PLIST" >& /dev/null
/usr/libexec/PlistBuddy -c "Set :VersionCommit $COMMIT" "$PLIST"
/usr/libexec/PlistBuddy -c "Set :CFBundleVersion $VERSION" "$PLIST"

echo "Bumped build number to $VERSION ($COMMIT) in $PLIST"

DSYM_PLIST="${DWARF_DSYM_FOLDER_PATH}/${DWARF_DSYM_FILE_NAME}/Contents/Info.plist"

echo "*${DSYM_PLIST}*"

if [[ -e "${DSYM_PLIST}" ]] ; then

# update the plist in the dSYM file too so that the build numbers match
/usr/libexec/PlistBuddy -c "Add :VersionCommit string commit" "$DSYM_PLIST" >& /dev/null
/usr/libexec/PlistBuddy -c "Set :VersionCommit $COMMIT" "$DSYM_PLIST"
/usr/libexec/PlistBuddy -c "Set :CFBundleVersion $VERSION" "$DSYM_PLIST"

echo "Also updated dSYM build number"

fi
